injuri.ng
API›Profiles›Links, badges & widgets
profiles

Links, badges & widgets

Just one part of a profile.

Example request
curl "https://injuri.ng/api/v1/users/september/links" \
  -H "Authorization: Bearer $INJURING_KEY"
Response
{
  "data": [
    {
      "platform": "discord",
      "title": null,
      "url": "https://discord.gg/…"
    }
  ]
}
GET/api/v1/users/{handle}/badges
Response
{
  "data": [
    {
      "id": "premium",
      "name": "injuring+",
      "earned_at": "2026-09-28T01:18:55.447Z"
    }
  ]
}
GET/api/v1/users/{handle}/widgets
Response
{
  "data": [
    {
      "id": "k3j2h1",
      "platform": "github",
      "type": "user",
      "identifier": "torvalds"
    }
  ]
}

still stuck? try troubleshooting or open a ticket in our discord, we reply fast.